#' Countries ISO Codes
#'
#' @format ## `europe_codes`
#' A table 253 x 2:
#' \describe{
#'   \item{name}{Country name}
#'   \item{iso3}{3 letter ISO country code}
#' }
"country_codes"

#' Daily data for Station CA003076680
#'
#' @format ## `CA003076680`
#' A 'ghcn-daily' object, i.e. table 7,574 x 8:
#' \describe{
#'   \item{date}{Date of measurment}
#'   \item{station}{Station name, i.e. 'CA003076680'}
#'   \item{tmax}{Maximum temperature}
#'   \item{tmin}{Minimum temperature}
#'   \item{prcp}{Total precipitation}
#'   \item{*_flag}{Flags for the measurments}
#' }
#' @source <https://www.countrycallingcodes.com/iso-country-codes/europe-codes.php>
"CA003076680"

#' Daily data for Station USC00010655
#'
#' @format ## `USC00010655`
#' A 'ghcn-daily' object, i.e. table 7,809 x 8:
#' \describe{
#'   \item{date}{Date of measurment}
#'   \item{station}{Station name, i.e. 'USC00010655'}
#'   \item{tmax}{Maximum temperature}
#'   \item{tmin}{Minimum temperature}
#'   \item{prcp}{Total precipitation}
#'   \item{*_flag}{Flags for the measurments}
#' }
#' @source <https://www.countrycallingcodes.com/iso-country-codes/europe-codes.php>
"USC00010655"

#' Elevation of the GHCNd Stations
#'
#' @format ## `europe_codes`
#' A table 128,024 x 2:
#' \describe{
#'   \item{station}{Station name}
#'   \item{elevation}{Elevation in meters}
#' }
#' @source <https://www.ncei.noaa.gov/pub/data/ghcn/daily/ghcnd-stations.csv>
"stations_elevation"
